package com.glxp.mipsdl.admin.service.basic;

import com.glxp.mipsdl.admin.dao.basic.UdiRelevanceDao;
import com.glxp.mipsdl.admin.entity.basic.UdiRelevanceEntity;
import com.glxp.mipsdl.admin.req.basic.FilterUdiInfoRequest;
import com.glxp.mipsdl.admin.res.basic.UdiRelevanceResponse;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class BasicUdiService {
    @Resource
    UdiRelevanceDao udiRelevanceDao;

    public int getActCount(String relId, String nameCode) {
        UdiRelevanceEntity udiRelevanceEntity = udiRelevanceDao.selectById(relId);
        FilterUdiInfoRequest filterUdiInfoRequest = new FilterUdiInfoRequest();
        filterUdiInfoRequest.setUniqueNameCode(nameCode);
        List<UdiRelevanceResponse> udiRelevanceResponses = udiRelevanceDao.filterUdiRelevance(filterUdiInfoRequest);

        UdiRelevanceResponse udiInfoBean = null;
        if (udiRelevanceResponses != null && udiRelevanceResponses.size() > 0) {
            udiInfoBean = udiRelevanceResponses.get(0);
        }
        if (udiInfoBean != null) {
            if ((udiRelevanceEntity.getIsUseDy() != null && udiRelevanceEntity.getIsUseDy()) && udiInfoBean.getDiType() != 2) {
                if (udiInfoBean.getBhzxxsbzsl() == 0)
                    return udiInfoBean.getZxxsbzbhsydysl();
                else
                    return udiInfoBean.getZxxsbzbhsydysl() * udiInfoBean.getBhzxxsbzsl();
            } else {
                return udiInfoBean.getBhzxxsbzsl();
            }
        }
        return 1;
    }
}
