package com.glxp.mipsdl.admin.util;

import com.glxp.mipsdl.admin.entity.basic.BasicThirdSysBusApiEntity;

public class ThirdUtils {
    /**
     * 获取第三方名称字段
     *
     * @param thirdId
     * @return
     */
    public static String getThirdName(String thirdId) {
        String thirdName = null;
        switch (thirdId) {
            case "thirdId":
                thirdName = "thirdName";
                break;
            case "thirdId1":
                thirdName = "thirdName1";
                break;
            case "thirdId2":
                thirdName = "thirdName2";
                break;
            case "thirdId3":
                thirdName = "thirdName3";
                break;
            case "thirdId4":
                thirdName = "thirdName4";
                break;
            default:
                break;
        }
        return thirdName;
    }

    /**
     * @param thirdSysBusApiEntity
     * @return
     */
    public static String getThirdId(BasicThirdSysBusApiEntity thirdSysBusApiEntity) {
        String thirdId = null;
        switch (thirdSysBusApiEntity.getThirdSys()) {
            case "thirdId":
                thirdId = "thirdId";
                break;
            case "third1":
                thirdId = "thirdId1";
                break;
            case "third2":
                thirdId = "thirdId2";
                break;
            case "third3":
                thirdId = "thirdId3";
                break;
            case "third4":
                thirdId = "thirdId4";
                break;
            default:
                break;
        }
        return thirdId;
    }
}
